Subject: Re: [PATCH] remote-helpers: point at their upstream repositories

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 May 2014 14:50:33 -0700

Felipe Contreras <[email-masked]> writes:

> Junio C Hamano wrote:
>> Felipe Contreras <[email-masked]> writes:
>> ...
>> > So to make it clear, I now request that you do:
>> >
>> >  1) Remove all the code.
>> ...
>> I'll do that, but just one thing to make sure---do you want the
>> helper to exit with status 0?
>
> It doesn't matter; if the remote helper doesn't respond to the commands
> transport-helper exits with 128.

You're right.

>> >  4) Re-add the following release note:
>> >
>> >     * "git push" via transport-helper interface (e.g. remote-hg) has
>> >       been updated to allow forced ref updates in a way similar to the
>> >       natively supported transports
>> 
>> I am not sure if this one is consistent with 1), as remote-hg will
>> no longer be with the release.
>
> Remove '(e.g. remote-hg)', the rest still applies.

True enough.

I was already deep in today's -rc4 tagging before this exchange, so
it may be a while until the result is pushed out, but as far as I
know the helpers are now stubs, and README no longer says "a random
version that will go stale is kept here merely for convenience".

As additional topics that touch contrib/remote-helpers/ need to be
reverted from 'next', the final pushout may take longer than usual.
We'll see.